Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface Event

All Known Subinterfaces:
  CustomEvent, KeyboardEvent, MouseEvent, MutationEvent, MutationNameEvent, ShadowTreeEvent, TextEvent, UIEvent

All Known Implementing Classes:
  AbstractEvent, DOMCustomEvent, DOMEvent, DOMKeyboardEvent, DOMKeyEvent, DOMMouseEvent, DOMMutationEvent, DOMMutationNameEvent, DOMTextEvent, DOMTimeEvent, DOMUIEvent, SVGOMEvent, SVGOMWheelEvent, XBLOMShadowTreeEvent

    public interface Event

The `Event` interface is used to provide contextual information about an event to the listener processing the event. An object which implements the `Event` interface is passed as the parameter to an `EventListener`. More specific context information is passed to event listeners by deriving additional interfaces from `Event` which contain information directly relating to the type of event they represent. These derived interfaces are also implemented by the object passed to the event listener.

To create an instance of the `Event` interface, use the `DocumentEvent.createEvent("Event")` method call.

See also the Document Object Model (DOM) Level 3 Events Specification .

Since:
  DOM Level 2

Field Summary
`static short` | `AT_TARGET` The current event is in the target phase, i.e.
`static short` | `BUBBLING_PHASE` The current event phase is the bubbling phase.
`static short` | `CAPTURING_PHASE` The current event phase is the capture phase.

Method Summary
`boolean` | `getBubbles()` Used to indicate whether or not an event is a bubbling event.
`boolean` | `getCancelable()` Used to indicate whether or not an event can have its default action prevented (see also ).
`EventTarget` | `getCurrentTarget()` Used to indicate the `EventTarget` whose `EventListeners` are currently being processed.
`boolean` | `getDefaultPrevented()` Used to indicate whether `Event.preventDefault()` has been called for this event.
`short` | `getEventPhase()` Used to indicate which phase of event flow is currently being accomplished.
`String` | `getNamespaceURI()` The namespace URI associated with this event at creation time, or `null` if it is unspecified.
`EventTarget` | `getTarget()` Used to indicate the event target.
`long` | `getTimeStamp()` Used to specify the time at which the event was created in milliseconds relative to 1970-01-01T00:00:00Z.
`String` | `getType()` The local name of the event type.
`void` | `initEvent(String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)` The `initEvent` method is used to initialize the value of an `Event` created through the `DocumentEvent.createEvent` method.
`void` | `initEventNS(String namespaceURIArg, String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)` The `initEventNS` method is used to initialize the value of an `Event` object and has the same behavior as `Event.initEvent()`.
`void` | `preventDefault()` If an event is cancelable, the `preventDefault` method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur (see also ), and thus independently of event groups.
`void` | `stopImmediatePropagation()` This method is used to prevent event listeners of the same group to be triggered and, unlike `Event.stopPropagation()` its effect is immediate (see ).
`void` | `stopPropagation()` This method is used to prevent event listeners of the same group to be triggered but its effect is deferred until all event listeners attached on the `Event.currentTarget` have been triggered (see ).

Field Detail

### CAPTURING_PHASE

    static final short CAPTURING_PHASE

  The current event phase is the capture phase.

  See Also:
    Constant Field Values

### AT_TARGET

    static final short AT_TARGET

  The current event is in the target phase, i.e. it is being evaluated at the event target.

  See Also:
    Constant Field Values

### BUBBLING_PHASE

    static final short BUBBLING_PHASE

  The current event phase is the bubbling phase.

  See Also:
    Constant Field Values

Method Detail

### getType

    String getType()

  The local name of the event type. The name must be an NCName as defined in [XML Namespaces 1.1] and is case-sensitive.

### getTarget

    EventTarget getTarget()

  Used to indicate the event target. This attribute contains the target node when used with the .

### getCurrentTarget

    EventTarget getCurrentTarget()

  Used to indicate the `EventTarget` whose `EventListeners` are currently being processed. This is particularly useful during the capture and bubbling phases. This attribute could contain the target node or a target ancestor when used with the .

### getEventPhase

    short getEventPhase()

  Used to indicate which phase of event flow is currently being accomplished.

### getBubbles

    boolean getBubbles()

  Used to indicate whether or not an event is a bubbling event. If the event can bubble the value is `true`, otherwise the value is `false`.

### getCancelable

    boolean getCancelable()

  Used to indicate whether or not an event can have its default action prevented (see also ). If the default action can be prevented the value is `true`, otherwise the value is `false` .

### getTimeStamp

    long getTimeStamp()

  Used to specify the time at which the event was created in milliseconds relative to 1970-01-01T00:00:00Z. Due to the fact that some systems may not provide this information the value of `timeStamp` may be not available for all events. When not available, the value is `0`.

### stopPropagation

    void stopPropagation()

  This method is used to prevent event listeners of the same group to be triggered but its effect is deferred until all event listeners attached on the `Event.currentTarget` have been triggered (see ). Once it has been called, further calls to that method have no additional effect.

  Note: This method does not prevent the default action from being invoked; use `Event.preventDefault()` for that effect.

### preventDefault

    void preventDefault()

  If an event is cancelable, the `preventDefault` method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur (see also ), and thus independently of event groups. Calling this method for a non-cancelable event has no effect.

  Note: This method does not stop the event propagation; use `Event.stopPropagation()` or `Event.stopImmediatePropagation()` for that effect.

### initEvent

    void initEvent(String eventTypeArg,
                   boolean canBubbleArg,
                   boolean cancelableArg)

  The `initEvent` method is used to initialize the value of an `Event` created through the `DocumentEvent.createEvent` method. This method may only be called before the `Event` has been dispatched via the `EventTarget.dispatchEvent()` method. If the method is called several times before invoking `EventTarget.dispatchEvent`, only the final invocation takes precedence. This method has no effect if called after the event has been dispatched. If called from a subclass of the `Event` interface only the values specified in this method are modified, all other attributes are left unchanged.
  This method sets the `Event.type` attribute to `eventTypeArg`, and `Event.namespaceURI` to `null`. To initialize an event with a namespace URI, use the `Event.initEventNS()` method.

  Parameters:
    `eventTypeArg` - Specifies `Event.type`, the local name of the event type.
    `canBubbleArg` - Specifies `Event.bubbles`. This parameter overrides the intrinsic bubbling behavior of the event.
    `cancelableArg` - Specifies `Event.cancelable`. This parameter overrides the intrinsic cancelable behavior of the event.

### getNamespaceURI

    String getNamespaceURI()

  The namespace URI associated with this event at creation time, or `null` if it is unspecified.
  For events initialized with a DOM Level 2 Events method, such as `Event.initEvent()`, this is always `null`.

  Since:
    DOM Level 3

### stopImmediatePropagation

    void stopImmediatePropagation()

  This method is used to prevent event listeners of the same group to be triggered and, unlike `Event.stopPropagation()` its effect is immediate (see ). Once it has been called, further calls to that method have no additional effect.

  Note: This method does not prevent the default action from being invoked; use `Event.preventDefault()` for that effect.

  Since:
    DOM Level 3

### getDefaultPrevented

    boolean getDefaultPrevented()

  Used to indicate whether `Event.preventDefault()` has been called for this event.

  Since:
    DOM Level 3

### initEventNS

    void initEventNS(String namespaceURIArg,
                     String eventTypeArg,
                     boolean canBubbleArg,
                     boolean cancelableArg)

  The `initEventNS` method is used to initialize the value of an `Event` object and has the same behavior as `Event.initEvent()`.

  Parameters:
    `namespaceURIArg` - Specifies `Event.namespaceURI`, the namespace URI associated with this event, or `null` if no namespace.
    `eventTypeArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
  Since:
    DOM Level 3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.